aboutsummaryrefslogtreecommitdiff
AgeCommit message (Collapse)AuthorLines
4 daysruby: fix build with ruby 3.0 and clangHEADmasterAvatar Marc-Antoine Perennou -0/+8
Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
4 daysruby: fix namespace clash with ruby 3.0Avatar Marc-Antoine Perennou -0/+11
Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
4 daysfix tests for ruby >= 2.6Avatar Marc-Antoine Perennou -2/+17
Somehow with ruby >= 2.6 waitpid sometimes gets interrupted by a signal. Ignoring EINTR and reissuing waitpid fixes the issue. Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
4 daysruby: drop support for old rubyAvatar Marc-Antoine Perennou -1/+1
Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
4 daysruby: allow ruby 3.0Avatar Marc-Antoine Perennou -1/+1
Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
4 daysbuild-sys: drop support for EOL rubysAvatar Marc-Antoine Perennou -4/+4
Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
4 daysbuild-sys: add support for ruby 2.7Avatar Marc-Antoine Perennou -1/+1
Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
4 daysci: Remove Gentoo for nowAvatar Marvin Schmidt -82/+0
4 daysci: Simplify CI pipelineAvatar Marvin Schmidt -58/+18
Squash build and test stages in one, having to upload/download the build artifacts between the two stages is just time-consuming and inefficient for no benefit Adjust the clang-tidy stage accordingly to build paludis (but not test)
4 daysci: exherbo: Update to Ruby 2.7Avatar Marvin Schmidt -2/+4
4 daysci: exherbo: clang: Update base image to LLVM 11Avatar Marvin Schmidt -1/+1
4 daysci: Remove some cruft from configure scriptAvatar Marvin Schmidt -6/+0
4 daysUpdate bug tracker links to point to gitlabAvatar Heiko Becker -12/+13
4 daysWe moved from freenode to Libera ChatAvatar Heiko Becker -3/+3
2020-10-24ci: No longer allow tests to fail with clangAvatar Marvin Schmidt -1/+0
The previous commit fixed the failing python tests. Make sure we don't regress and make CI fail if they break again
2020-10-24Fix symbol visibility errors with clangAvatar Marvin Schmidt -2/+6
LabelsDepSpec visibility: 133: >>> test action_TEST 133: Traceback (most recent call last): 133: File "/home/marv/devel/paludis-worktrees/master/python/action_TEST.py", line 21, in <module> 133: from paludis import * 133: ImportError: /home/marv/devel/paludis-worktrees/master/build-clang/python/libpaludispython_3.0.so.300: undefined symbol: _ZN7paludis19spec_tree_internals14BasicInne rNodeINS_8SpecTreeINS_13TypeListEntryINS_20SpecTreeLeafNodeTypeINS_14PackageDepSpecEEENS3_INS4_INS_12BlockDepSpecEEENS3_INS4_INS_13LabelsDepSpecINS_17DependenciesLabelEE EEENS3_INS4_INS_15NamedSetDepSpecEEENS3_INS_21SpecTreeInnerNodeTypeINS_10AllDepSpecEEENS3_INSF_INS_10AnyDepSpecEEENS3_INSF_INS_18ConditionalDepSpecEEENS_12TypeListTailEE EEEEEEEEEEEEESG_EEE6appendISB_EESt10shared_ptrINSU_8NodeTypeIT_E4TypeEERKSX_ISZ_E 133: >>> test action_TEST returned 1 [1s] 133: >>> exiting with error for test action_TEST 1/1 Test #133: python_action ....................***Failed 0.03 sec The missing symbol is: std::shared_ptr<DependencySpecTree::NodeType<paludis::LabelsDepSpec<paludis::DependenciesLabel>>::Type> paludis::spec_tree_internals::BasicInnerNode<paludis::SpecTree<...>>::append< paludis::LabelsDepSpec<paludis::DependenciesLabel>>( std::shared_ptr<paludis::LabelsDepSpec<paludis::DependenciesLabel> > const&) => Move LabelsDepSpec<DependenciesLabel> instantiation to header file Missing dep_spec.hh include: 133: >>> test action_TEST 133: Traceback (most recent call last): 133: File "/home/marv/devel/paludis-worktrees/master/python/action_TEST.py", line 21, in <module> 133: from paludis import * 133: ImportError: /home/marv/devel/paludis-worktrees/master/build-clang/python/libpaludispython_3.0.so.300: undefined symbol: _ZN7paludis19spec_tree_internals14BasicInnerNodeINS_8SpecTreeINS_13TypeListEntryINS_20SpecTreeLeafNodeTypeINS_14PackageDepSpecEEENS3_INS4_INS_12BlockDepSpecEEENS3_INS4_INS_13LabelsDepSpecINS_17DependenciesLabelEEEEENS3_INS4_INS_15NamedSetDepSpecEEENS3_INS_21SpecTreeInnerNodeTypeINS_10AllDepSpecEEENS3_INSF_INS_10AnyDepSpecEEENS3_INSF_INS_18ConditionalDepSpecEEENS_12TypeListTailEEEEEEEEEEEEEEESG_EEE6appendISD_EESt10shared_ptrINSU_8NodeTypeIT_E4TypeEERKSX_ISZ_E 133: >>> test action_TEST returned 1 [0s] 133: >>> exiting with error for test action_TEST 1/1 Test #133: python_action ....................***Failed 0.03 sec The missing symbol is: std::shared_ptr<DependencySpecTree::NodeType<paludis::NamedSetDepSpec>::Type> paludis::spec_tree_internals::BasicInnerNode<DependencySpecTree>::append< paludis::NamedSetDepSpec>(std::shared_ptr<paludis::NamedSetDepSpec> const&) => Provide full type for NamedSetDepSpec
2020-10-16modernize: Mark overriding functions as suchAvatar Marvin Schmidt -2285/+2284
Done using clang-tidy's `modernize-use-override` check
2020-09-28ci: exherbo: clang: Update docker base imageAvatar Marvin Schmidt -1/+1
2020-09-28ci: gentoo: Update to ruby 2.5Avatar Marvin Schmidt -1/+1
2020-09-28ci: Add stage to build docker imagesAvatar Marvin Schmidt -0/+45
2020-09-28ci: gentoo: Adjust boost workaround for new versionAvatar Marvin Schmidt -2/+2
2020-03-10ci: gentoo: Rename docker directory for consistencyAvatar Marvin Schmidt -0/+0
Makes the gitlab CI config easier
2020-03-10ci: exherbo: Make Python version configurableAvatar Marvin Schmidt -2/+10
This allows using different Python versions in the stable and testing docker images We need to resolve using `--complete` so we don't break packages with the default Python ABI which aren't in the resolution of `paludis-deps`
2020-03-10ci: exherbo: Allow all required old versionsAvatar Marvin Schmidt -2/+2
If the resolution requires an old version of a package it shouldn't fail since be can't do much about that. Permit "*/*" to make this more reliable
2020-03-10ci: exherbo: Use long-options for `cave resolve`Avatar Marvin Schmidt -4/+14
2020-03-10ci: Remove Python 2.7 from docker imagesAvatar Marvin Schmidt -94/+2
2020-02-19emagicdocs: Also install CONTRIBUTING* filesAvatar Heiko Becker -1/+1
It is quite common for projects to have such a file and it (hopefully) is a good start when you're looking for information where and how to submit a patch.
2019-10-24Support python 3.8Avatar Heiko Becker -2/+2
2019-10-24Use the versioned component and imported target for boost pythonAvatar Heiko Becker -4/+3
2019-10-22doc/python: Run sphinx with the same python version we build againstAvatar Marvin Schmidt -1/+1
The shebang of the sphinx-build binary does not necessarily point to the python version we use to build our python bindings. On Exherbo Sphinx provides multiple library version but only a single executable which gets a shebang pointing to the last selected ABI
2019-10-22build: Format long command more readableAvatar Marvin Schmidt -1/+7
2019-10-22ci/configure: Introduce option for python version to useAvatar Marvin Schmidt -1/+7
2019-10-22hooker_TEST: make ordering/py_hook Python3 compatibleAvatar Marvin Schmidt -1/+1
Otherwise the test fails with the following error when using Python 3: 13: [ RUN ] Hooker.Ordering 13: paludis@1565848657: [WARNING hook.python.failure] Hook 'hooker_TEST_dir/ordering/py_hook.py': running hook_run_ordering function failed: 'Traceback (most recent call last): 13: File "hooker_TEST_dir/ordering/py_hook.py", line 2, in hook_run_ordering 13: file("hooker_TEST_dir/ordering.out", "a").write("py_hook\n") 13: NameError: name 'file' is not defined' 13: ../paludis/hooker_TEST.cc:76: Failure 13: Expected equality of these values: 13: 0 13: result.max_exit_status() 13: Which is: 1 13: ../paludis/hooker_TEST.cc:83: Failure 13: Expected equality of these values: 13: "e\nc\nf\nd\nb\na\npy_hook\ng\ni\nh\nsohook\nk\nj\n" 13: line 13: Which is: "e\nc\nf\nd\nb\na\ng\ni\nh\nsohook\nk\nj\n" 13: With diff: 13: @@ -5,5 @@ 13: b 13: a 13: -py_hook 13: g 13: i 13: 13: [ FAILED ] Hooker.Ordering (184 ms)
2019-10-22python: Normalize exceptionsAvatar Marvin Schmidt -0/+1
The python 3 incompatible call of `file` in the python hook caused an exception. Trying to get the traceback failed because the exception isn't normalized: 13: [ RUN ] Hooker.Ordering 13: paludis@1565848332: [WARNING hook.python.traceback_failed] In thread ID '13623': 13: ... When triggering hook 'ordering': 13: ... When running hook 'hooker_TEST_dir/ordering/py_hook.py' for hook 'ordering': 13: ... When getting traceback 13: ... Hook 'hooker_TEST_dir/ordering/py_hook.py': _get_traceback(): traceback.format_exception failed 13: paludis@1565848332: [WARNING hook.python.failure] Hook 'hooker_TEST_dir/ordering/py_hook.py': running hook_run_ordering function failed: 'Getting traceback failed' 13: paludis@1565848332: [WARNING hook.python.failure] Hook 'hooker_TEST_dir/ordering/py_hook.py' failed unexpectedly: 'Traceback (most recent call last): 13: File "/usr/x86_64-pc-linux-gnu/lib/python3.7/traceback.py", line 121, in format_exception 13: type(value), value, tb, limit=limit).format(chain=chain)) 13: File "/usr/x86_64-pc-linux-gnu/lib/python3.7/traceback.py", line 476, in __init__ 13: if (exc_value and exc_value.__cause__ is not None 13: AttributeError: 'str' object has no attribute '__cause__' 13: 13: The above exception was the direct cause of the following exception: 13: 13: Traceback (most recent call last): 13: File "/home/marv/devel/paludis-worktrees/cross/python/paludis_output_wrapper.py", line 101, in restore_prefix 13: restore("both") 13: File "/home/marv/devel/paludis-worktrees/cross/python/paludis_output_wrapper.py", line 80, in restore 13: if len(stderr_cache): 13: SystemError: <built-in function len> returned a result with an error set' 13: ../paludis/hooker_TEST.cc:76: Failure 13: Expected equality of these values: 13: 0 13: result.max_exit_status() 13: Which is: 1 13: ../paludis/hooker_TEST.cc:83: Failure 13: Expected equality of these values: 13: "e\nc\nf\nd\nb\na\npy_hook\ng\ni\nh\nsohook\nk\nj\n" 13: line 13: Which is: "e\nc\nf\nd\nb\na\ng\ni\nh\nsohook\nk\nj\n" 13: With diff: 13: @@ -5,5 @@ 13: b 13: a 13: -py_hook 13: g 13: i 13: 13: [ FAILED ] Hooker.Ordering (195 ms)
2019-10-22build: Make python version configurableAvatar Marvin Schmidt -6/+15
2019-10-22build: Set Boost_PYTHON_VERSION to select correct library versionAvatar Marvin Schmidt -0/+1
2019-10-22build: Make python invocation compatible with Python 3Avatar Marvin Schmidt -1/+1
2019-10-22clang-tidy: Disable modernize-make-uniqueAvatar Marvin Schmidt -0/+1
2019-10-22clang-tidy: Disable modernize-use-trailing-return-typeAvatar Marvin Schmidt -0/+1
2019-10-22clang-tidy: Update config with clang-tidy 9Avatar Marvin Schmidt -1/+29
2019-10-13ci: Pass correct CMAKE_FIND_ROOT_PATHAvatar Marvin Schmidt -0/+1
2019-10-13ci: Remove i686 target option from docker imagesAvatar Marvin Schmidt -2/+0
2019-10-13ci: docker: Remove obsolete python workaroundAvatar Marvin Schmidt -2/+1
2019-10-13ci: exherbo: Restrict build jobs for ghostscript to 1Avatar Marvin Schmidt -0/+6
2019-10-13ci: gentoo: Workaround boost/cmake problemsAvatar Marvin Schmidt -7/+9
2019-10-13ci: gentoo: Update docker fileAvatar Marvin Schmidt -2/+2
2019-08-02ci: Add missing Python ABIsAvatar Marvin Schmidt -0/+2
2019-07-25build: Make changing supported Ruby ABIs a one-stop changeAvatar Marvin Schmidt -8/+6
The option description and the actually supported ABI version got out of sync with the last updates. Prevent this from happening again by keeping the information in one place only
2019-07-02Documentation: Added example to `world` file location.Avatar Jacob Hrbek -1/+1
2019-07-02Documentation: Updated comment that mensiones exherbo configuration to be ↵Avatar Jacob Hrbek -1/+1
more intuitive.